# Struct_TypeCode.h File Reference

`#include "tao/TypeCode.h"`
`#include "tao/TypeCode_Base_Attributes.h"`

Include dependency graph for Struct_TypeCode.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | TAO::TypeCode

## Classes

class | TAO::TypeCode::Struct< StringType, TypeCodeType, FieldArrayType, RefCountPolicy >
| `CORBA::TypeCode` implementation for an OMG IDL `struct` or `exception`. More...

## Detailed Description

Id
  Struct_TypeCode.h,v 1.6 2005/05/12 00:54:18 ossama Exp

Header file for a `tk_struct` and `tk_except` `CORBA::TypeCodes`.

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>

  Carlos O'Ryan